Summary: GNOME On-screen Keyboard 
Name: gok
Version: 2.30.1
Release: %mkrel 6
License: LGPLv2+
Group: Accessibility
URL: http://www.gok.ca/
Source0: ftp://ftp.gnome.org/pub/GNOME/sources/%{name}/%{name}-%{version}.tar.bz2
# (fc) 0.11.12-1mdk use www-browser as web browser (Fedora)
Patch0:	gok-0.10.2-launcher.patch
Patch1: gok-2.28.0-fix-linking.patch
Patch2: gok-2.30.1-automake-1.13.patch
BuildRequires: pkgconfig(atk) >= 1.3.0
BuildRequires: pkgconfig(cspi-1.0) >= 1.5.0
BuildRequires: pkgconfig(dbus-glib-1) >= 0.7
BuildRequires: pkgconfig(gail)
BuildRequires: pkgconfig(gconf-2.0) >= 2.16.0
BuildRequires: pkgconfig(glib-2.0) >= 2.17.4
BuildRequires: pkgconfig(gnome-speech-1.0)
BuildRequires: pkgconfig(gtk+-2.0) >= 2.18.0
BuildRequires: pkgconfig(libbonobo-2.0) >= 2.5.1
BuildRequires: pkgconfig(libcanberra-gtk) >= 0.3
BuildRequires: pkgconfig(libloginhelper-1.0) >= 1.5.2
BuildRequires: pkgconfig(libspi-1.0) >= 1.5.0
BuildRequires: pkgconfig(libwnck-1.0)
BuildRequires: pkgconfig(libxml-2.0)
BuildRequires: libxi-devel
BuildRequires:	gtk-doc
BuildRequires:	intltool
BuildRequires:	gettext-devel
BuildRequires:	scrollkeeper
BuildRequires:	gnome-common
Requires(preun): GConf2

%description 
The GNOME On-screen Keyboard (GOK) is a dynamic on-screen keyboard for
UNIX and UNIX-like operating systems.  It features Direct Selection,
Dwell Selection, Automatic Scanning and Inverse Scanning access
methods and includes word completion.

%prep
%setup -q
%patch0 -p1 -b .launcher
%patch1 -p1
%patch2 -p1 -b .automake-1_13

%build
autoreconf -fi
%configure2_5x --enable-gtk-doc --disable-schemas-install --disable-dependency-tracking
%make

%install
%makeinstall_std

%find_lang %{name} --with-gnome

#remove unpackaged files
rm -rf $RPM_BUILD_ROOT/var/lib/scrollkeeper $RPM_BUILD_ROOT%_libdir/pkgconfig

%preun
%preun_uninstall_gconf_schemas gok

%files -f %{name}.lang
%doc %{_datadir}/gtk-doc/html/*
%{_sysconfdir}/gconf/schemas/*
%{_bindir}/*
%{_libdir}/bonobo/servers/*
%{_datadir}/applications/*
%{_datadir}/gok
%_datadir/icons/hicolor/*/apps/*.*
%dir %{_datadir}/omf/*
%{_datadir}/omf/*/*-C.omf
%{_datadir}/pixmaps/gok.png
%_datadir/sounds/freedesktop/stereo/goksound*


%changelog

* Sat Jan 12 2013 umeabot <umeabot> 2.30.1-6.mga3
+ Revision: 352406
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Jan 04 2013 cjw <cjw> 2.30.1-5.mga3
+ Revision: 338574
- patch2: fix build with automake 1.13

* Mon Jan 30 2012 fwang <fwang> 2.30.1-4.mga2
+ Revision: 203233
- should require gconf2 in preun section

* Mon Jan 30 2012 fwang <fwang> 2.30.1-3.mga2
+ Revision: 203228
- br scrollkeeper
- br gettext
- convert br

* Sat Feb 26 2011 ahmad <ahmad> 2.30.1-3.mga1
+ Revision: 60162
- drop runtime requires on %%{_lib}gail-gnome, this looks like an old requires
  and gok seems to work (in the short test I did); also Fedora doesn't have that
  requires.

* Fri Feb 25 2011 ennael <ennael> 2.30.1-2.mga1
+ Revision: 59764
- clean spec file
- imported package gok

